<!DOCTYPE html>
<html>

<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width,initial-scale=1,maximum-scale=1,user-scalable=no">
	<meta name="apple-mobile-web-app-capable" content="yes">
	<meta name="apple-mobile-web-app-status-bar-style" content="black">
	<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
	<title>全部课程</title>
	<meta name="description" content="">
	<meta name="keywords" content="">
	<link href="{pigcms::RES}/wap/faceClass/css/normalize.css?v=20161123" rel="stylesheet">
	<link href="{pigcms::RES}/wap/faceClass/css/style.css?v=20161123" rel="stylesheet">
</head>

<body>
	<header class="page-header fixed">
		<a id="btn-all-course-menu" href="{pigcms::U('menu',array('token'=>$_GET['token'],'wecha_id'=>$_GET['wecha_id']))}" class="btn-all-course-menu btn btn-dropdown blue">全部课程</a>
		<h1><a href="{pigcms::U('mysessional',array('token'=>$_GET['token'],'wecha_id'=>$_GET['wecha_id']))}">我的场次</a></h1>
		<a id="btn-search" href="{pigcms::U('search',array('token'=>$_GET['token'],'wecha_id'=>$_GET['wecha_id']))}" class="btn btn-search">
			<i class="ico ico-search"></i>
		</a>
	</header>
	<section id="wrapper" class="main iscroll-wrapper">
		<div id="scroller" class="course-list detail-list">
			<div class="scroll-container list"></div>
			<script>
				var DETAIL_URL = "{pigcms::U('detail',array('token'=>$_GET['token'],'wecha_id'=>$_GET['wecha_id'],'itemId'=>'@0', 'commented'=>'@1'))}";
				var STAR_URL = "{pigcms::U('insertcomment',array('token'=>$_GET['token'],'wecha_id'=>$_GET['wecha_id'],'reference_id'=>'@0'))}";
			</script>
			<script type="text/x-jquery-tmpl" id="tpl-list-item">
				{{each records}}
				<dl>
					<dt class="course-thumb">
						<img src="" onerror="this.style.display='none'" onload="this.style.display='block'" alt="">
					</dt>
					<dd>
						<a href="${DETAIL_URL.replace('@0', item_id).replace('@1', commentResult)}">
							<h3>${title}</h3>
							<p>${description}</p>
						</a>
						<div class="clearfix">
							<span class="label label-text"><i class="comment-count" data-id="${item_id}">${commentSum}</i> 评论</span>
							<span class="label label-text"><i>${scheduledSum}</i> 剩余场次</span>
							{{if commentResult==0}}
							<a href="${STAR_URL.replace('@0',item_id)}" data-id="${item_id}" class="btn btn-star">去评价</a>
							{{else}}
							<a href="javascript:void(0)" class="btn btn-star disabled">已评价</a>
							{{/if}}
						</div>
					</dd>
				</dl>
				{{/each}}
			</script>

			<div id="pull-up-nodata" class="blank-page" style="display:none;">
				<i class="ico-blankpage"></i>
				<div>
					<em>没有课程</em>
				</div>
				<p>去看看其他内容吧！</p>
			</div>

			<div class="pull-action am-text-center pull-up loading">
		        <div class="am-icon-arrow-up pull-label pull-up-label">
		            上拉加载更多
		        </div>
		        <span class="am-icon-spinner am-icon-spin">
		        </span>
		    </div>
		</div>
	</section>

	<!-- 评价弹框 -->
	<dialog id="modalStar" class="modal modal-star">
		<div class="modal-title">请评价</div>
		<div class="modal-body">
			<div class="star-plugin">
				<a href="javascript:void(0)" data-star="1" class="btn-star-item"></a>
				<a href="javascript:void(0)" data-star="2" class="btn-star-item"></a>
				<a href="javascript:void(0)" data-star="3" class="btn-star-item"></a>
				<a href="javascript:void(0)" data-star="4" class="btn-star-item"></a>
				<a href="javascript:void(0)" data-star="5" class="btn-star-item"></a>
			</div>
			<div class="tags">
            <volist id='tag' name='comtag' key = 'k'>
				<a href="javascript:void(0)" data-id="tag-{pigcms:$k}" class="btn btn-tag">{pigcms:$tag.content}</a>
            </volist>
			</div>
			<div>
				<input type="text" placeholder="有什么想说的，写下来吧！">
			</div>
		</div>
		<div class="modal-footer">
			<a href="javascript:void(0)" class="btn btn-block" rel="modal:close">取消</a>
			<a href="javascript:void(0)" class="btn btn-block btn-send-star">确定</a>
		</div>
	</dialog>

	<!-- 评价成功弹框 -->
	<dialog id="modalStarSuccess" class="modal">
		<div class="modal-title">谢谢评价</div>
		<div class="modal-body">
			您已经提交面授评价了，可到课程信息中心查看~
		</div>
		<div class="modal-footer">
			<a href="javascript:void(0)" class="btn btn-block" rel="modal:close">知道了</a>
		</div>
	</dialog>

	<script src="{pigcms::RES}/wap/faceClass/js/libs/jquery-3.1.1.min.js?v=20161123"></script>
	<script src="{pigcms::RES}/wap/faceClass/js/libs/jquery.tmpl.min.js?v=20161123"></script>
	<script src="{pigcms::RES}/wap/faceClass/js/libs/iscroll.js?v=20161123"></script>
	<script src="{pigcms::RES}/wap/faceClass/js/libs/pullUpLoad.js?v=20161123"></script>
	<script src="{pigcms::RES}/wap/faceClass/js/libs/jquery.modal.min.js?v=20161123"></script>
    <script src="{pigcms::RES}/wap/faceClass/js/scripts.js?v=20161123"></script>
    <script>
    	$("#wrapper .list").empty();
		$("#wrapper").pullUpInit({
			list: '.list',
			api: "{pigcms::U('kecheng',array('token'=>$_GET['token'],'wecha_id'=>$_GET['wecha_id'],'competencefields'=>$_GET['competencefields']))}"
		});
    </script>
</body>

</html>
